¿Cómo instalar PIL to Python 3.5 en un mac?

Soy muy nuevo en las instalaciones de Python y estoy intentando instalar PIL. Tengo la sensación de que están siendo instalados en el directorio incorrecto. PIP parece haber sido instalado bien.

Pycharm dice

Try to run this command from the system terminal. Make sure that you use the correct version of 'pip' installed for your Python interpreter located at '/Library/Frameworks/Python.framework/Versions/3.5/bin/python3.5'. 

Sin embargo, al registrar en la terminal la respuesta es

 Jamess-MacBook-Pro:~ JamesParsons$ pip install Pillow Requirement already satisfied (use --upgrade to upgrade): Pillow in /Library/Python/2.7/site-packages 

También menciona una versión diferente de Python.

¿Cómo sería la mejor manera de instalar PIL ya que Pycharm viene con una referencia no resuelta todavía?

En su línea de comando:

 $ which python 

Apuesto a que esto vuelve:

/Library/Python/2.7/site-packages

Esto muestra tu ubicación ‘básica’ de Python (que viene preinstalada en Mac). Ahora haz:

 $ which python3 

Si eso demuestra esto:

/Library/Frameworks/Python.framework/Versions/3.5/bin/python3.5 ‘

A continuación, compruebe si hay una versión pip3 :

 $ which pip3 

Si existe y tiene una ubicación similar a python3 , intente esto:

 $ pip3 install Pillow 

Si eso funciona, hay una buena probabilidad de que PyCharm ahora recoja la instalación correcta.